Get Broker Server Certificate Expiry Status
get
/api/broker/Servers/readServerCerts
Gets certificate expiration dates and warning status for the specified broker servers. The request accepts a comma-separated list of server IDs. Servers that do not respond before the API timeout are omitted from the response.
Request
Query Parameters
-
ServerIDs(required): string
Comma-separated broker server IDs.Example:
1,2,3
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Match All
Show Source
-
object
SuccessfulGetOperation
The response body for a successful get operation.
-
object
type
Nested Schema : SuccessfulGetOperation
Type:
objectThe response body for a successful get operation.
Show Source
-
message: string
The response message.Example:
Loaded 1 entries -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
true
Nested Schema : type
Type:
Show Source
object-
data: array
data
-
total: integer
The total number of server certificate entries returned.Example:
2
Nested Schema : brokerServersReadServerCerts
Type:
Show Source
object-
CertExpiryDates: string
A JSON object string that contains certificate expiration dates for the server. Each object key is the certificate file name without the **.crt** extension, and each value is the expiration date.Example:
{"Host":"2026-06-22","Web":"2026-09-30"} -
CertExpiryFlag: integer
The highest certificate expiration warning state for the server. Allowed values are:
- 0: No certificate has expired or reached the configured warning period.
- 1: At least one certificate expires within the configured warning period.
- 2: At least one certificate has expired.
Example:1 -
CertExpiryStatus: string
The warning message for certificates on the server that have expired or expire within the warning period (configured in the CertExpiryWarning global property). Can contain information about multiple certificates. Empty when no certificates require attention.Example:
Host: cert has expired, Web: cert expires in 14 days -
ServerHostFQDN: string
The server host FQDN.Example:
server.com -
ServerID: integer
The server ID.Example:
1
Default Response
Failed operation
Root Schema : schema
Type:
Show Source
object-
errors: array
errors
The list of errors reported. Validation errors will be keyed by record field.
-
message: string
The response message.Example:
Exception thrown -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
false
Nested Schema : errors
Type:
arrayThe list of errors reported. Validation errors will be keyed by record field.
Show Source
-
Array of:
object items
An error.
Nested Schema : items
Type:
objectAn error.